var tmpl=`
    <gsb-form ref="baseform" :metaData="metaData" isInInline="true">
       <el-form-item slot-scope="scope" style="text-align:right">
         <el-button ref="qclickel" @click="query(scope.formModel)" icon="tool-query" type="default">查询</el-button>
         <el-button @click="reset(scope.formModel)" icon="tool-reset" type="default">重置</el-button>
       </el-form-item>
    </gsb-form>
`
module.exports=
`{
   template:'${tmpl}',
   props:['metaData'],
   data:function(){
     return {

     };
   },
   methods:{
     doquery:function(){
        $(this.$refs.qclickel.$el).trigger("click");
     },
     query:function(model){
        this.$emit("onquery",model);
     },
     reset:function(model){
       this.$refs.baseform.reset(model);
     },
     getModel:function(){
      return this.$refs.baseform.formModel;
     }
   },
   vname:"gsb-searchform"
}`
